Cazuela WordPress Theme
=======================

Thank you for downloading Cazuela Theme
---------------------------------------

We make themes following WordPress best practices and they should be bugs-free. However, if you spot a bug, do us a favor and report it using the dedicated forum on WordPress.org.

We'll do everything we can to debug it and resolve the issue.


Cazuela Features
----------------

Cazuela is amazingly flexible and powerful free theme developed by [ThematoSoup][1]. It comes with 6 different page layouts and 10 widgetized areas. Clean code and latest WordPress quality guidelines make it secure and very light.

Every feature you want to enable or disable is in one place - theme customizer (moze link do customizera ovde), so when you change something you get an instant preview. Theme customizer is a native WordPress feature which makes it very easy to adjust the theme to your liking.

Cazuela is carefully thought through and gives you much flexibility for you to sway it into anything you need.


### Layouts

Cazuela lets you choose between 2 layout types:
* boxed
* full-width

In addition to this you have the option of 6 page layouts:
* one column layout
* two column layout - right sidebar
* two column layout - left sidebar
* three column layout - 2 right sidebars
* three column layout - 2 left sidebars
* three column layout - left primary sidebar, right secondary sidebar


### Page Templates

4 different templates (with more to come) let you choose the best possible way to present your content:

* Widgetized Homepage (Widget area below content)
* Authors (Sortable list of subscribers, contributors, authors, editors and administrators)
* Masonry (Pinterest-like template)
* Sitemap (Pages, categories and 25 of your latest posts)


### Widget Areas

There are 3 main widgetized areas:
* primary
* secondary
* footer

Most people will use these three, but some will have the need for inserting banners, AdSense ads, calls-to-action and other content and have more control over positioning.

Cazuela has one Homepage widgetized area that is displayed in "Widgetized Homepage" page template below all your content. Here you can insert three widgets per row in unlimited number of rows. If you only use two widgets, they will both be 50% wide. One widget and it's full width. 

In addition to this there are 6 more widgetized areas:
* before header
* after header
* before content
* after content
* before footer
* after footer


### Typography

Typography is what makes every website usable, readable and also beautiful (or not). Cazuela lets you choose between 8 Body and 7 Header fonts.

Body fonts:
* Arial
* Helvetica
* Open Sans
* Lato
* PT Sans
* Gudea
* Lora
* Istok Web

Header fonts:
* Georgia
* Open Sans
* Lato
* Oswald
* Bitter
* Merriweather
* Droid Serif


### Site Title & Tagline

Site title and tagline are your standard WordPress features. They are placed in the header area. Site title is substituted by logo should you upload one.


### Colors

Cazuela comes with 11 predefined color schemes. You can also tweak any color scheme by changing its link color and background color in Theme Customizer. Background color changes will only be visible if you're using boxed layout.


### Background Image

You have the option of setting a custom background image or a pattern. This will only be visible if you select boxed layout. A custom background color will be overridden by a background image.


### Navigation

Cazuela lets you select your menus from within theme customizer, as well. You have the option of showing your navigation above or below posts.

### Front Page

Static Front Page is where you choose what to show on your home page, as well as which page is your blogroll.


Theme Customizer Boilerplate
----------------------------
The theme uses Theme Customizer Boilerplate (GPL licenced) to handle its Customizer options. It is a drop-in code library that can be used to speed up theme development process. You can find out more about Theme Customizer boilerplate at its Github project page.


License
-------

The theme is under GPLv2. However some parts aren't, for example, jQuery Masonry which is licensed under MIT License, but still compatible with GPL. You can see License.txt for more information. All other parts, including jQuery Flex slider, are GPLv2 or later.


Theme Re-Distribution
---------------------

It's GPL so yes you can base your Themes on Cazuela, but they need to use a GPL license, too.

All derivative Themes must be different from the original work, which includes the Theme design as well as all the codes
from Cazuela Theme.

You can show us your appreciation by following WordPress.org best practices yourself and connecting with [ThematoSoup][1] on [Facebook][2] or [Twitter][3].

[1]: http://thematosoup.com
[2]: http://www.facebook.com/thematosoup
[3]: https://twitter.com/thematosoup